Name: fping
Version: 2.4b2
Release: 1
Summary: Scriptable, parallelized ping-like utility
Group: Applications/Internet
License: BSD with advertising
URL: http://www.fping.com/
# upstream isn't really there any more
# Source0: http://www.fping.com/download/%{name}-%{version}_to-ipv6.tar.gz
Source0: %{name}-%{version}_to-ipv6.tar.gz
Patch0: %{name}-%{version}-aix.patch
Patch1: %{name}-%{version}_ipv6-fix.diff
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

%ifos aix5.3 || %ifos aix6.1
Requires: AIX-rpm >= 5.3.0.0
%endif

%description
fping is a ping-like program which can determine the accessibility of
multiple hosts using ICMP echo requests. fping is designed for parallelized
monitoring of large numbers of systems, and is developed with ease of
use in scripting in mind.


%prep
%setup -q -n %{name}-%{version}_to-ipv6
export PATH=/opt/freeware/bin:$PATH
%patch0
%patch1 -p1 -b .ipv6


%build
export CC="xlc"
./configure \
    --prefix=%{_prefix}

%ifos aix5.3 || %ifos aix6.1
# build IPV6 version
make CFLAGS="-DIPV6 -O"
mv fping fping6
make clean
%endif

# build IPV4 version
make CFLAGS="-O"


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

%ifos aix5.3 || %ifos aix6.1
cp fping6 ${RPM_BUILD_ROOT}%{_sbindir}
chmod 4755 ${RPM_BUILD_ROOT}%{_sbindir}/fping6
%endif

/usr/bin/strip ${RPM_BUILD_ROOT}%{_sbindir}/* || :

cd ${RPM_BUILD_ROOT}
mkdir -p usr/sbin
cd usr/sbin
ln -sf ../..%{_sbindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc ChangeLog COPYING README
%attr(4755,root,system) %{_sbindir}/fping
/usr/sbin/fping
%ifos aix5.3 || %ifos aix6.1
%attr(4755,root,system) %{_sbindir}/fping6
/usr/sbin/fping6
%endif
%{_mandir}/man8/*


%changelog
* Tue Sep 29 2009 Michael Perzl <michael@perzl.org> - 2.4b2-1
- first version for AIX V5.1 and higher
